Skip to navigation

Retrieve a summary journal entry

View as Markdown
This REST API reference describes how to get information about a summary journal entry by its journal entry number.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

je-numberstringRequired

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
accountingPeriodNamestringOptional
Name of the accounting period that the journal entry belongs to.
aggregateCurrencybooleanOptional

Returns true if the journal entry is aggregating currencies. That is, if the journal entry was created when the Aggregate transactions with different currencies during a Journal Run setting was configured to Yes. Otherwise, returns false.

currencystringOptional
Currency used.
homeCurrencystringOptional
Home currency used.
journalEntryDatedateOptional
Date of the journal entry.
journalEntryItemslist of objectsOptional
Key name that represents the list of journal entry items.
notesstringOptional

Additional information about this record. Character limit: 2,000

numberstringOptional

Journal entry number in the format JE-00000001.

organizationLabelstringOptional

The organization that this object belongs to.

Note: This field is available only when the Multi-Org feature is enabled.

segmentslist of objectsOptional
List of segments that apply to the summary journal entry.
statusenumOptional
Status of journal entry.
Allowed values:
successbooleanOptional

Returns true if the request was processed successfully.

timePeriodEnddateOptional
End date of time period included in the journal entry.
timePeriodStartdateOptional
Start date of time period included in the journal entry.
transactionTypestringOptional
Transaction type of the transactions included in the summary journal entry.
transferDateTimestringOptional

Date and time that transferredToAccounting was changed to Yes. This field is returned only when transferredToAccounting is Yes. Otherwise, this field is null.

transferredBystringOptional

User ID of the person who changed transferredToAccounting to Yes. This field is returned only when transferredToAccounting is Yes. Otherwise, this field is null.

transferredToAccountingenumOptional
Status shows whether the journal entry has been transferred to an accounting system.
Allowed values:

Errors

4XX
Client Request Error
500
Internal Server Error